%define snapshot 0
%define pre rc

%ifarch %{arm}
%define build_docs 0
%else
%define build_docs 1
%endif

%define qtmajor 5
%define qtminor 9
%define qtsubminor 4

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%if %snapshot
%define qttarballdir qtcanvas3d-opensource-src-%{qtversion}-%pre
%else
%define qttarballdir qtcanvas3d-opensource-src-%{qtversion}
%endif

Name: qtcanvas3d5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt5 - Canvas3d component
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: pkgconfig(Qt5Qml) = %version
BuildRequires: pkgconfig(Qt5Quick) = %version
#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt5 Canvas3D component.

%files
%_qt5_qml/QtCanvas3D
%_qt5_examplesdir/canvas3d

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary: QtCanvas3D%{qtmajor} APIs and tools docs
Group: Documentation
BuildArch: noarch
BuildRequires: qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires: qttools5-assistant
Recommends: qttools5-assistant

%description doc
Documentation for APIs and tools in QtCanvas3D5 package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtcanvas3d.qch
%{_qt5_docdir}/qtcanvas3d/
%endif

#------------------------------------------------------------------------------

%prep
%setup -q -n qtcanvas3d-opensource-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Wed Feb 28 2018 neoclust <neoclust> 5.9.4-1.mga6
  (not released yet)
+ Revision: 1205703
- New version 5.9.4
- New version 5.9.3
- New version 5.6.3

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064856
- New version 5.6.2
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049775
- build missing docs part (mga#9812)
- add qtcanvas3d5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038368
- Update to version 5.6.1-1
- New version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992391
- New version
- New version
- New version

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987914
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980604
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915938
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 915785
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 912417
- imported package qtcanvas3d5

